import Layout from '@/views/layout/Layout'

export default {
  path: '/stock/drugs',
  component: Layout,
  redirect: 'noredirect',
  name: 'stockDrugs',
  alwaysShow: true,
  meta: {
    title: 'stockDrugs',
    icon: 'stock',
    isChild: true
  },
  children: [
    {
      path: '/stock/drugs/stock/query',
      component: () => import('@/xt_pages/stock/drugs/query'),
      name: 'drugsQuery',
      meta: { title: 'drugsQuery', noCache: true }
    },
    {
      path: '/stock/drugs/drugNewQuery',
      component: () => import('@/xt_pages/stock/drugs/drugNewQuery'),
      name: 'drugsNewQuery',
      meta: { title: 'drugsNewQuery', noCache: true }
    },
    {
      path: '/stock/drugs/stock/in',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrder'),
      name: 'drugsStockIn',
      meta: { title: 'drugsStockIn', noCache: true }
    },
    {
      path: '/stock/drugs/stock/out',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrder'),
      name: 'drugsStockOut',
      meta: { title: 'drugsStockOut', noCache: true }
    },
    // {
    //   path: '/stock/drugs/drugModifyPrice',
    //   component: () => import('@/xt_pages/stock/drugs/drugModifyPrice'),
    //   name: 'drugModifyPrice',
    //   meta: { title: 'drugModifyPrice', noCache: true }
    // },
    {
      path: '/stock/drugs/drugModifyPricePrint',
      component: () => import('@/xt_pages/stock/drugs/drugModifyPricePrint'),
      name: 'drugModifyPricePrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugModifyPricePrint', noCache: true }
    },
    // {
    //   path: '/stock/drugs/drugDamaged',
    //   component: () => import('@/xt_pages/stock/drugs/drugDamaged'),
    //   name: 'drugDamaged',
    //   meta: { title: 'drugDamaged', noCache: true }
    // },
    // {
    //   path: '/stock/drugs/drugDamagePrint',
    //   component: () => import('@/xt_pages/stock/drugs/drugDamagePrint'),
    //   name: 'drugDamaged',
    //   meta: { title: 'drugDamaged', noCache: true }
    // },
    // {
    //   path: '/stock/drugs/drugWarning',
    //   component: () => import('@/xt_pages/stock/drugs/drugWarning'),
    //   name: 'drugWarning',
    //   meta: { title: 'drugWarning', noCache: true }
    // },
    {
      path: '/stock/drugs/drugInventory',
      component: () => import('@/xt_pages/stock/drugs/drugInventory'),
      name: 'drugInventory',
      meta: { title: 'drugInventory', noCache: true }
    },
    {
      path: '/stock/drugs/inventoryPrint',
      component: () => import('@/xt_pages/stock/drugs/inventoryPrint'),
      name: 'inventoryPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'inventoryPrint', noCache: true }
    },
    {
      path: '/stock/drugs/print',
      component: () => import('@/xt_pages/stock/drugs/print'),
      name: 'print',
      hidden: true,
      is_menu: false,
      meta: { title: 'print', noCache: true }
    },
    // {
    //   path: '/stock/drugs/stock/return',
    //   component: () => import('@/xt_pages/stock/drugs/drugSalesReturnOrder'),
    //   name: 'drugsStockReturn',
    //   meta: { title: 'drugsStockReturn', noCache: true }
    // },
    {
      path: '/stock/drugs/stock/cancel',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockOrder'),
      name: 'drugsStockCancel',
      meta: { title: 'drugsStockCancel', noCache: true }
    },
    {
      path: '/stock/drugs/stock/detail',
      component: () => import('@/xt_pages/stock/drugs/drugIndex'),
      name: 'drugDetail',
      meta: { title: '明细查询', noCache: true }
    },
    // {
    //     path: '/stock/drugs/stock/adjustPrice',
    //     component: () => import('@/xt_pages/stock/drugs/adjustPrice'),
    //     name: 'drugsAdjustPrice',
    //     meta: { title: 'drugsAdjustPrice', noCache: true }
    // },
    // {
    //     path: '/stock/drugs/stock/reportLoss',
    //     component: () => import('@/xt_pages/stock/drugs/reportLoss'),
    //     name: 'drugsReportLoss',
    //     meta: { title: 'drugsReportLoss', noCache: true }
    // },
    // {
    //     path: '/stock/drugs/stock/drugsSurplus',
    //     component: () => import('@/xt_pages/stock/drugs/drugsSurplus'),
    //     name: 'drugsSurplus',
    //     meta: { title: 'drugsSurplus', noCache: true }
    // },
    // {
    //     path: '/stock/drugs/stock/drugsExpiryDate',
    //     component: () => import('@/xt_pages/stock/drugs/drugsExpiryDate'),
    //     name: 'drugsExpiryDate',
    //     meta: { title: 'drugsExpiryDate', noCache: true }
    // },
    {
      path: '/drugstock/in/add',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrderAdd'),
      name: 'drugStockInOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockInOrderAdd', noCache: true }
    },
    {
      path: '/drugstock/in/detail',
      component: () => import('@/xt_pages/stock/drugs/drugStockInDetail'),
      name: 'drugStockInDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockInDetail', noCache: true }
    }, {
      path: '/drugstock/return/detail',
      component: () => import('@/xt_pages/stock/drugs/drugSalesReturnDetail'),
      name: 'drugSalesReturnDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugSalesReturnDetail', noCache: true }
    }, {
      path: '/drugstock/return/add',
      component: () => import('@/xt_pages/stock/drugs/drugSalesReturnOrderAdd'),
      name: 'drugSalesReturnOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugSalesReturnOrderAdd', noCache: true }
    }, {
      path: '/drugstock/out/add',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrderAdd'),
      name: 'drugStockOutOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockOutOrderAdd', noCache: true }
    }, {
      path: '/drugstock/out/detail',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutDetail'),
      name: 'drugStockOutDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockOutDetail', noCache: true }
    }, {
      path: '/drugstock/cancel/add',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockOrderAdd'),
      name: 'cancelDrugStockOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugStockOrderAdd', noCache: true }
    }, {
      path: '/drugstock/cancel/detail',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockDetail'),
      name: 'cancelDrugStockDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugStockDetail', noCache: true }
    },
    {
      path: '/drugstock/cancel/edit',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugStockOrderEdit'),
      name: 'cancelDrugStockOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugStockOrderEdit', noCache: true }
    },
    {
      path: '/drugstock/user/detail',
      component: () => import('@/xt_pages/stock/drugs/drugStockUserDetail'),
      name: 'drugStockUserDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockUserDetail', noCache: true }
    },

    // 编辑药品入库单
    {
      path: '/drugstock/in/order/edit',
      component: () => import('@/xt_pages/stock/drugs/drugStockInOrderEdit'),
      name: 'drugStockInOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockInOrderEdit', noCache: true }
    },

    {
      path: '/drugstock/in/drugstockflow',
      component: () => import('@/xt_pages/stock/drugs/drugStockFlow'),
      name: 'drugStockFlow',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockFlow', noCache: true }
    },

    {
      path: '/drugstock/in/drugbatchnumber',
      component: () => import('@/xt_pages/stock/drugs/drugBatchNumber'),
      name: 'drugBatchNumber',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugBatchNumber', noCache: true }
    },
    {
      path: '/stock/stockoutorderedit',
      component: () => import('@/xt_pages/stock/stockOutOrderEdit'),
      name: 'stockOutOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutOrderEdit', noCache: true }
    },
    {
      path: '/stock/in/order/edit',
      component: () => import('@/xt_pages/stock/stockInOrderEdit'),
      name: 'stockInOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInOrderEdit' }
    },

    {
      path: '/stock/in/stockflow',
      component: () => import('@/xt_pages/stock/stockFlow'),
      name: 'stockFlow',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockFlow' }
    },

    {
      path: '/stock/in/stockbatchnumber',
      component: () => import('@/xt_pages/stock/stockBatchNumber'),
      name: 'stockBatchNumber',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockBatchNumber' }
    },
    {
      path: '/drug/out/drugstockoutorderedit',
      component: () => import('@/xt_pages/stock/drugs/drugStockOutOrderEdit'),
      name: 'drugStockOutOrderEdit',
      hidden: true,
      is_menu: false,
      meta: { title: 'drugStockOutOrderEdit' }

    },
    {
      path: '/drug/cancel/print',
      component: () => import('@/xt_pages/stock/drugs/cancelDrugOrderPrint'),
      name: 'cancelDrugOrderPrint',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelDrugOrderPrint' }

    }

  ]
}
